Microsoft 安全公告 MS10-039 - 重要

Microsoft SharePoint 中的漏洞可能允许特权提升 (2028554)

发布时间: 2010年6月8日

版本: 1.0

一般信息

摘要

此安全更新解决了 Microsoft SharePoint 中一个公开披露和两个秘密报告的漏洞。 如果攻击者说服目标 SharePoint 站点的一位用户单击特制链接,最严重的漏洞可能允许特权提升。

对于 Microsoft SharePoint Services 3.0 的所有受支持版本和 Microsoft Office InfoPath 2003、Microsoft Office InfoPath 2007 和 Microsoft Office SharePoint Server 2007 的所有受支持版本,此安全更新的严重等级为“重要”。有关详细信息,请参阅本节中“受影响和不受影响的软件”小节。

此安全更新通过修改 Microsoft SharePoint 验证提供给 HTTP 查询的输入的方法、toStaticHTML 清理 Microsoft SharePoint 中 HTML 内容的方法以及 Microsoft SharePoint 处理对帮助页的特制请求的方法来解决此漏洞。 有关漏洞的详细信息,请参阅下一节“漏洞信息”下面特定漏洞条目的常见问题 (FAQ) 小节。

此安全更新也解决了最初在 Microsoft 安全通报 983438 中描述的漏洞。

建议。 Microsoft 建议客户尽早应用此更新。

已知问题。 Microsoft 知识库文章 2028554 介绍了客户在安装此安全更新时可能遇到的当前已知问题。 本文还介绍了这些问题的建议解决办法。 在当前已知问题和建议解决办法仅适用于此软件的特定版本时,此文章还提供其他文章的链接。

受影响和不受影响的软件

已对下列软件进行测试,以确定受到影响的版本。 其他版本的支持生命周期已结束或者不受影响。 要确定软件版本的技术支持生命周期,请访问 Microsoft 技术支持生命周期

受影响的软件

软件最大安全影响综合严重等级此更新替代的公告
Microsoft Office 软件
Microsoft Office InfoPath 2003 Service Pack 3
(KB980923)
信息泄露重要
Microsoft Office InfoPath 2007 Service Pack 1 和 Microsoft Office InfoPath 2007 Service Pack 2
(KB979441)
信息泄露重要
Microsoft Office SharePoint Server 2007 Service Pack 1(32 位版本) [1]
(KB979445)
信息泄露重要 MS08-077
Microsoft Office SharePoint Server 2007 Service Pack 2(32 位版本) [1]
(KB979445)
信息泄露重要
Microsoft Office SharePoint Server 2007 Service Pack 1(64 位版本) [1]
(KB979445)
信息泄露重要 MS08-077
Microsoft Office SharePoint Server 2007 Service Pack 2(64 位版本)
(KB979445)[1]
信息泄露重要
Windows SharePoint Services
Microsoft Windows SharePoint Services 3.0 Service Pack 1 和 Microsoft Windows SharePoint Services 3.0 Service Pack 2(32 位版本)
(KB983444)
特权提升重要
Microsoft Windows SharePoint Services 3.0 Service Pack 1 和 Microsoft Windows SharePoint Services 3.0 Service Pack 2(64 位版本)
(KB983444)
特权提升重要

[1]对于 Microsoft Office SharePoint Server 2007 的支持版本,除了安全更新程序包 KB979445 外,客户还需要安装 Microsoft Windows SharePoint Services 3.0 安全更新 (KB983444) 以避免此公告中描述的漏洞。

不受影响的软件

Windows SharePoint Services 和 Microsoft SharePoint
Microsoft Windows SharePoint Services 2.0
Microsoft SharePoint Portal Server 2001 Service Pack 3
Microsoft Office SharePoint Portal Server 2003 Service Pack 3
Microsoft SharePoint Server 2010

此安全更新 (MS10-039) 与 MS10-035 Internet Explorer 的累积性安全更新 (982381) 有什么联系?  
此公告中描述的 toStaticHTML 信息泄露漏洞 CVE-2010-1257 也影响 Internet Explorer。 MS10-035 Internet Explorer 的累积性安全更新 (982381) 解决了 Internet Explorer 的漏洞。 如果您已安装 Internet Explorer,请根据 MS10-035 应用所需更新。如果已安装 Microsoft SharePoint,请根据此公告应用所需更新。

在哪里可以找到文件信息详细资料?  
有关文件信息详细资料的位置,请参阅“安全更新部署”部分中的参考表。

客户在安装此安全更新时可能遇到哪些已知问题?  
Microsoft 知识库文章 2028554 介绍了客户在安装此安全更新时可能遇到的当前已知问题。 本文还介绍了这些问题的建议解决办法。

此更新为何消除了多个已报告的安全漏洞?  
此更新之所以包含对某些漏洞的支持,是因为解决这些问题所需的修改位于相关的文件中。 客户只需安装此更新就可以了,而不用安装多个几乎相同的更新。

什么是 Microsoft Windows SharePoint Services 3.0?  
Windows SharePoint Services 3.0 为协作应用程序提供一个平台,从而提供用于文档管理的公共框架以及用于存储所有类型文档的公共存储库。 它披露 Windows Workflow Services 和 Windows Rights Management Services 等主要 Windows Server 服务。

Windows SharePoint Services 3.0 作为 Windows Server 2003 和 Windows Server 2008 支持版本的免费下载内容提供。

Microsoft Windows SharePoint Services 3.0 与 Microsoft Office SharePoint Server 2007 有什么关系?  
Microsoft Office SharePoint Server 2007 是在 Windows SharePoint Services 3.0 之上构建的一套集成服务器功能。

在什么配置中我将需要应用不同的更新?  
根据您的系统上安装的 SharePoint 产品,您将需要应用一个或两个更新。 对于仅安装了 Microsoft Windows SharePoint Services 3.0 的系统,您将需要应用 KB983444 更新。 对于安装了 Microsoft Office SharePoint Server 2007 的系统,您将需要应用 KB979445 和 KB983444 更新。 不存在这样的配置:只有 Microsoft Office SharePoint Server 2007 而没有 Microsoft Windows SharePoint Services 3.0。

我使用的是 2007 Microsoft Office System Service Pack 1,此更新中是否包含任何其他安全功能?  
是的,作为 2007 Microsoft Office System 服务模型的一部分,当 Microsoft Office 2007 Service Pack 1 用户安装此更新时,用户的系统将升级为 Microsoft Office 2007 Service Pack 2 最初版本的安全功能。2009年 4 月 24 日之后发行的 Microsoft Office 2007 的所有更新将包含 2007 Microsoft Office System Service Pack 2 中所介绍的这些安全功能。我们已经对此更新进行了彻底测试,但是与所有更新一样,我们建议用户对其环境和系统的配置执行适合的测试。

这篇文章中讨论的 Office 组件是我的系统上安装的 Office 套件的一部分;但是我没有选择安装此特定组件。 我需要此更新吗?  
是,如果您的系统上安装的 Office 套件的版本附带本公告中讨论的组件,无论该组件是否安装,系统都将需要更新。 已设计用于扫描受影响系统的检测逻辑,以检查特定 Office 套件附带的所有组件的更新并为系统提供更新。 如果用户选择不对尚未安装但在 Office 套件版本中包括的组件应用更新,不会增加该系统的安全风险。 另一方面,选择安装更新的用户不会对系统的安全或性能产生负面影响。

为 Microsoft Office 的不容易受攻击的版本提供更新是否表明 Microsoft 更新机制存在问题?  
否,更新机制工作正常,因为它可在系统上检测到低于更新程序包中版本的文件,并提供该更新。

我正在使用本安全公告中讨论的软件的较旧版本。 我该怎么办?  
已对本公告中列出的受影响的软件进行测试,以确定受到影响的版本。 其他版本的支持生命周期已结束。 有关产品生命周期的详细信息,请访问 Microsoft 产品技术支持生命周期网站

使用该软件的较旧版本的客户应优先考虑迁移到受支持的版本,以防止可能会受到新出现漏洞的影响。 要确定您的软件版本的技术支持生命周期,请参阅选择一项产品以获取生命周期信息。 有关这些软件版本的 Service Pack 的详细信息,请参阅生命周期支持的 Service Pack

如果用户需要获得较旧软件的定制支持,则必须与其 Microsoft 客服小组代表、其技术客户经理或适当的 Microsoft 合作伙伴代表联系以了解定制支持选项。 没有联合合同、优先支持合同或授权合同的客户可与其当地的 Microsoft 销售分支机构联系。 有关联系信息,请访问 Microsoft Worldwide Information 网站,在联系信息列表中选择国家/地区,然后单击“Go”以查看电话号码列表。 在拨打电话时,请找当地的“企业技术咨询支持服务”销售经理进行洽谈。 有关详细信息,请参阅 Microsoft 技术支持生命周期策略常见问题

漏洞信息

以下严重等级假设漏洞的可能的最大影响。 有关此安全公告发布 30 天内,漏洞利用的安全等级和安全影响的可能性的信息,请参阅 6 月份公告摘要中的利用指数。 有关详细信息,请参阅 Microsoft 利用指数

按受影响软件列出的漏洞严重等级和最大安全影响
受影响的软件Help.aspx XSS 漏洞 - CVE-2010-0817toStaticHTML 信息泄露漏洞 - CVE-2010-1257Sharepoint 帮助页拒绝服务漏洞 - CVE-2010-1264综合严重等级
Microsoft Office 软件
Microsoft Office InfoPath 2003 Service Pack 3不适用 重要 
信息泄露
不适用 重要
Microsoft Office InfoPath 2007 Service Pack 1 和 Microsoft Office InfoPath 2007 Service Pack 2不适用 重要 
信息泄露
不适用 重要
Microsoft Office SharePoint Server 2007 Service Pack 1 和 Microsoft Office SharePoint Server 2007 Service Pack 2(32 位版本)不适用 重要 
信息泄露
不适用 重要
Microsoft Office SharePoint Server 2007 Service Pack 1 和 Microsoft Office SharePoint Server 2007 Service Pack 2(64 位版本)不适用 重要 
信息泄露
不适用 重要
Windows SharePoint Services
Microsoft Windows SharePoint Services 3.0 Service Pack 1 和 Microsoft Windows SharePoint Services 3.0 Service Pack 2(32 位版本) 重要 
特权提升
重要 
信息泄露
重要 
拒绝服务
重要
Microsoft Windows SharePoint Services 3.0 Service Pack 1 和 Microsoft Windows SharePoint Services 3.0 Service Pack 2(64 位版本) 重要 
特权提升
重要 
信息泄露
重要 
拒绝服务
重要

Microsoft Windows SharePoint Services 3.0 和 Microsoft Office SharePoint Server 2007 中存在一个跨站点脚本和欺骗漏洞,此漏洞可能允许攻击者诱使用户运行恶意脚本。 成功利用此漏洞的攻击者可能会修改 Web 浏览器缓存或中间代理服务器缓存。 另外,攻击者还可能将欺骗内容放在这些缓存中。 攻击者还可能会利用此漏洞来进行跨站点脚本攻击。

要在“常见漏洞和披露”列表中以标准条目查看此漏洞,请参阅 CVE-2010-0817

Help.aspx XSS 漏洞 (CVE-2010-0817) 的缓解因素

缓解是指一种设置、通用配置或者一般的最佳实践,它以默认状态存在,能够降低利用漏洞的严重性。 以下缓解因素在您遇到的情形中可能会有所帮助:

  • 浏览到 Internet 区域中的 SharePoint 站点的 Internet Explorer 8 用户风险减小,因为在默认情况下,Internet Explorer 8 中的 XSS 筛选器在 Internet 区域中防止此攻击。 但是,Intranet 区域默认情况下不启用 Internet Explorer 8 XSS 筛选器。
  • 攻击者可以通过让用户单击特制 URL 运行任意 JavaScript,但是由于 SharePoint Server 处理 HttpOnly 身份验证 cookie 的方式,攻击者无法窃取登录用户的身份验证凭据。
  • 此漏洞无法通过电子邮件自动加以利用。 用户必须单击电子邮件中的 URL,以电子邮件为载体的攻击才会得逞。

Help.aspx XSS 漏洞 (CVE-2010-0817) 的变通办法

变通办法是指一种设置或配置更改,它不能从根本上纠正漏洞,但有助于在应用更新之前封堵已知的攻击源。 Microsoft 已测试了以下变通方法,并在讨论中指明了变通方法是否会降低功能性:

  • 限制访问 SharePoint Help.aspx

    管理员可以对 SharePoint Help.aspx 应用访问控制列表,以确保它们不再被加载。 这样做可有效地防止借助此攻击媒介利用该漏洞。

    要限制对易受攻击的 Help.aspx 的访问,请从命令行运行以下命令:

    cacls "%ProgramFiles%\Common Files\Microsoft Shared\Web Server Extensions\12\TEMPLATE\LAYOUTS\Help.aspx" /E /P everyone:N

    cacls "%ProgramFiles(x86)%\Common Files\Microsoft Shared\Web Server Extensions\12\TEMPLATE\LAYOUTS\Help.aspx" /E /P everyone:N

    变通办法的影响。 此变通办法将禁用 SharePoint 服务器的所有帮助功能。

    如何撤消变通方法。

    从命令提示符运行以下命令:

    takeown /f "%ProgramFiles%\Common Files\Microsoft Shared\Web Server Extensions\12\TEMPLATE\LAYOUTS\Help.aspx"

    takeown /f "%ProgramFiles(x86)%\Common Files\Microsoft Shared\Web Server Extensions\12\TEMPLATE\LAYOUTS\Help.aspx"

    cacls "%ProgramFiles%\Common Files\Microsoft Shared\Web Server Extensions\12\TEMPLATE\LAYOUTS\Help.aspx" /E /R everyone

    cacls "%ProgramFiles(x86)%\Common Files\Microsoft Shared\Web Server Extensions\12\TEMPLATE\LAYOUTS\Help.aspx" /E /R everyone

Help.aspx XSS 漏洞 (CVE-2010-0817) 的常见问题

此漏洞的影响范围有多大?  
这是一个脚本执行漏洞,可能导致 Microsoft Windows SharePoint Services 3.0 和 Microsoft Office SharePoint Server 2007 中特权提升,因而可能允许攻击者诱使用户运行恶意脚本。 成功利用此漏洞的攻击者可能会进行跨站点脚本攻击,向用户显示欺骗响应或将服务器响应重定向到其他用户。 攻击者也可能会利用此漏洞来更改 Web 浏览器缓存和中间代理服务器缓存,并将欺骗内容放在这些缓存中。

造成漏洞的原因是什么?  
Microsoft Windows SharePoint Services 3.0 和 Microsoft Office SharePoint Server 2007 在将提供给 HTML 查询的输入发送给浏览器之前,未正确验证此输入。

攻击者可能利用此漏洞执行什么操作?  
成功地利用此漏洞的攻击者可能对 SharePoint 站点获得与目标用户相同的用户权限。 攻击者然后可以在目标用户的上下文中对 SharePoint 服务器运行命令。

攻击者如何利用此漏洞?  
攻击者若要成功,用户必须单击攻击者提供的到受影响服务器的特制链接。

在电子邮件攻击情形中,攻击者可以通过向受影响的目标服务器的用户发送包含特制链接的电子邮件,并诱使用户单击此特制链接来利用此漏洞。

在基于 Web 的攻击情形中,攻击者必须拥有一个网站,其中包含到受影响的目标服务器的特制链接,此链接用于尝试利用此漏洞。 另外,接受或宿主用户提供的内容的网站以及受到破坏的网站可能包含可能利用此漏洞的特制内容。 攻击者无法强迫用户访问特制的网站。 相反,攻击者必须诱使用户访问该网站,方法通常是让用户单击电子邮件或 Instant Messenger 消息中的链接以使用户链接到攻击者的网站,然后诱使他们单击特制的链接。

受此漏洞威胁最大的系统有哪些?  
用户浏览 Internet 的客户端系统受到的威胁最大。

什么是 Internet Explorer 8 跨站点脚本执行 (XSS) 筛选器?  
跨站点脚本执行攻击尝试利用您使用的网站中的漏洞。 此公告中描述的漏洞就是一个例子。 在此情况下,您可能收到一封电子邮件,其中包含内有脚本的一个特制网站地址。 当您单击该 URL,就会转到攻击者提供的脚本所运行的合法 SharePoint 网站。 跨站点脚本执行攻击已成为主要的网上威胁,因此 Internet Explorer 8 包括一个跨站点脚本执行筛选器,可以检测这些攻击类型并禁用有害脚本。 默认情况下,会在 Internet Explorer 8 中打开 Internet 区域的跨站点脚本执行筛选器。

此更新有什么作用?  
此更新通过修改 Microsoft Windows SharePoint Services 3.0 和 Microsoft Office SharePoint Server 2007 在将提供给 HTTP 查询的输入发送给客户端之前验证此输入的方法来解决漏洞。

发布此安全公告时,此漏洞是否已公开披露?  
是。 此漏洞已公开披露。 已为此漏洞分配了常见漏洞和披露号码 CVE-2010-0817。此漏洞最初是在 Microsoft 安全通报 983438 中介绍的。

发布此安全公告时,Microsoft 是否收到任何有关此漏洞已被利用的报告?  
是。 在发布此安全公告时,Microsoft 已收到有关此漏洞已被利用的信息。

应用此安全更新有助于客户防止尝试利用此漏洞的已公开发布代码吗?  
是。 此安全更新将消除可能使用已发布的概念证明代码利用的漏洞。 已为消除的漏洞分配了常见漏洞和披露号码 CVE-2010-0817

SharePoint toStaticHTML API 清理 HTML 的方式中存在一个信息泄露漏洞,可能允许攻击者执行跨站点脚本攻击,并在登录用户的安全上下文中运行脚本。

要在“常见漏洞和披露”列表中以标准条目查看此漏洞,请参阅 CVE-2010-1257

toStaticHTML 信息泄露漏洞 (CVE-2010-1257) 的缓解因素

缓解是指一种设置、通用配置或者一般的最佳实践,它以默认状态存在,能够降低利用漏洞的严重性。 以下缓解因素在您遇到的情形中可能会有所帮助:

  • 只有使用 toStaticHTML 的 SharePoint 站点才可能受影响。

toStaticHTML 信息泄露漏洞 (CVE-2010-1257) 的变通办法

变通办法是指一种设置或配置更改,它不能从根本上纠正漏洞,但有助于在应用更新之前封堵已知的攻击源。 Microsoft 已测试了以下变通方法,并在讨论中指明了变通方法是否会降低功能性:

  • 以纯文本格式阅读电子邮件

    要帮助保护自己免受来自电子邮件攻击媒介的攻击,请以纯文本格式阅读电子邮件。

    已应用了 Office XP Service Pack 1 或更高版本的 Microsoft Office Outlook 2002 用户以及应用了 Internet Explorer 6 Service Pack 1 或更高版本的 Microsoft Office Outlook Express 6 用户可以启用此设置,仅用纯文本格式查看所有不带数字签名的电子邮件或未加密的电子邮件。

    带数字签名的电子邮件或加密的电子邮件不受此设置的影响,可以用其原始格式阅读。 有关在 Outlook 2002 中如何启用此设置的详细信息,请参阅 Microsoft 知识库文章 307594

    有关 Outlook Express 6 中此设置的信息,请参阅 Microsoft 知识库文章 291387

    变通办法的影响。 用纯文本格式查看的电子邮件中不会包含图片、特殊字体、动画或其他丰富内容。 此外:

    • 这些更改适用于预览窗格和打开的邮件。
    • 图片变成了附件,因此不会丢失。
    • 由于存储区中的邮件仍然是 RTF 格式或 HTML 格式,因此对象模型(自定义代码解决方案)可能不按预期方式运行。
  • 将 Internet 和本地 Intranet 安全区域设置设为“高”,以便在这些区域中阻止 ActiveX 控件和活动脚本

    通过更改 Internet 安全区域的设置以阻止 ActiveX 控件和活动脚本,可帮助防止利用此漏洞。 通过将浏览器的安全级别设置为“高”可以达到上述目的。

    要提高 Internet Explorer 中的浏览安全级别,请按照以下步骤进行操作:

    1. 在 Internet Explorer 的“工具”菜单上,单击“Internet 选项”。
    2. 在“Internet 选项”对话框中,单击“安全”选项卡,然后单击“Internet”图标。
    3. 在“该区域的安全级别”下,将滑块移至“”。 这将您访问的所有网站的安全级别均设置为“高”。

    注意 如果看不到滑块,请单击“默认级别”,然后再将滑块移至“”。

    注意 将安全级别设置为“高”可能会导致某些网站无法正常工作。 在更改此设置后,如果您在使用某个网站时遇到困难,但您确定该站点是安全的,则可以将该站点添加到受信任的站点列表中。 在这种情况下,即使安全级别设置为“高”,此站点也可以正常工作。

    变通办法的影响。 阻止 ActiveX 控件和活动脚本会带来负面影响。 Internet 或 Intranet 上的许多网站都使用 ActiveX 或活动脚本来提供附加功能。 例如,在线电子商务站点或银行站点可能使用 ActiveX 控件来提供菜单、订购单乃至帐户报表。 阻止 ActiveX 控件或活动脚本是一个全局设置,它影响所有 Internet 和 Intranet 站点。 如果不希望针对这些站点阻止 ActiveX 控件或活动脚本,请使用“将您信任的站点添加到 Internet Explorer 的“受信任的站点”区域”中概述的步骤。

    将您信任的站点添加到 Internet Explorer 的“受信任的站点”区域

    在 Internet 区域和本地 Intranet 区域中将 Internet Explorer 设置为阻止 ActiveX 控件和活动脚本之后,可以将受信任的站点添加到 Internet Explorer 的“受信任的站点”区域。 这样,您就可以照常使用受信任的网站,同时又有助于防范非受信任站点上的此类攻击。 我们建议您只将信任的站点添加到“受信任的站点”区域。

    为此,可执行以下步骤:

    1. 在 Internet Explorer 中,单击“工具”,单击“Internet 选项”,然后单击“安全”选项卡。
    2. 在标为“请为不同区域的 Web 内容指定安全设置”的框中,单击“受信任的站点”,然后单击“站点”。
    3. 如果您想要添加不需要加密频道的站点,请单击以清除“对该区域中的所有站点要求服务器验证 (https:)”复选框。
    4. 在“将该站点添加到区域中”框中,键入您信任的站点的 URL,然后单击“添加”。
    5. 对想添加到区域中的每一个站点重复这些步骤。
    6. 单击“确定”两次,接受更改并返回到 Internet Explorer。

    注意 添加您相信不会在您的系统上执行恶意操作的任何站点。 特别是,您可能需要添加两个站点:*.windowsupdate.microsoft.com*.update.microsoft.com。这些站点将提供此更新,需要使用 ActiveX 控件来安装更新。

toStaticHTML 信息泄露漏洞 (CVE-2010-1257) 的常见问题

此漏洞的影响范围有多大?  
这是一个信息泄露漏洞。 成功利用此漏洞的攻击者可能会对 SharePoint 站点的用户执行持续的跨站点脚本攻击。

造成漏洞的原因是什么?  
此漏洞由 SharePoint 站点上的 toStaticHTML API 清理 HTML 的方式造成。

什么是 toStaticHTML?  
toStaticHTML API 可用于在将用户输入显示为 HTML 之前从中清除事件属性和脚本。 有关详细信息,请参阅下列 MSDN 库文章 toStaticHTML 方法

什么是跨站点脚本执行?  
跨站点脚本 (XSS) 是一类安全漏洞,它可能使攻击者能够将脚本代码“注入”用户与网站进行的会话。 该漏洞可能影响动态生成 HTML 页的 Web 服务器。 如果这些服务器在其发送回浏览器的动态页面中嵌入浏览器输入,则攻击者便可操纵这些服务器,并在动态页面中放置恶意提供的内容。 该内容允许执行恶意脚本。 由于 Web 浏览器对“受信任”站点的假设和使用 cookie 维持与其经常访问的网站的永久状态,因此使此问题永久性延续下去。 XSS 攻击不修改网站内容。 相反,它将插入新的恶意脚本,该脚本可以在与受信任服务器关联的上下文中的浏览器执行。

攻击者可能利用此漏洞执行什么操作?  
成功利用此漏洞的攻击者可能会对目标 SharePoint 站点的用户执行跨站点脚本攻击。 然后攻击者可能在站点用户的安全上下文中针对使用 toStaticHTML 的目标 SharePoint 站点运行脚本。

攻击者如何利用此漏洞?  
要利用这个漏洞,攻击者必须能够向目标 SharePoint 站点提交特制脚本。 在特定情况下,此漏洞会导致未用 toStaticHTML 正确清理特制脚本,因而可能导致在查看 SharePoint 站点恶意内容的用户的安全上下文中运行攻击者提供的脚本。

对于跨站点脚本攻击,此漏洞需要用户访问被破坏的 SharePoint 站点,才能发生恶意行为。 例如,在攻击者将特制脚本成功提交给目标 SharePoint 站点后,包含特制脚本的 SharePoint 站点上的任何网页都是持续跨站点脚本攻击的潜在媒介。 当用户访问包含特制脚本的网页时,此脚本可以在 SharePoint 站点上用户的安全上下文中运行。

受此漏洞威胁最大的系统有哪些?  
用户连接到 SharePoint 站点的系统(如工作站或终端服务器)受到的威胁最大。

此更新有什么作用?  
此更新通过修改toStaticHTML 清理 HTML 内容的方式来解决该漏洞。

此漏洞与 MS10-035 (Internet Explorer 的累积性安全更新 (982381))中的 CVE-2010-1857 是否相关?  
是的,toStaticHTML 信息泄露漏洞 CVE-2010-1257 也影响 Internet Explorer。

是否需要安装两个更新以免遭漏洞的攻击?  
不,每个更新都针对单独的应用程序。 只需应用与您的系统运行的软件对应的更新。

发布此安全公告时,此漏洞是否已公开披露?  
否。 Microsoft 通过可靠的披露渠道了解到有关此漏洞的信息。

发布此安全公告时,Microsoft 是否收到任何有关此漏洞已被利用的报告?  
否。 在最初发布此安全公告时,Microsoft 未收到任何表明此漏洞已被公开用于攻击客户的信息,也没有看到任何发布的概念代码证明示例。

Microsoft SharePoint 处理帮助页特制请求的方式中存在一个拒绝服务漏洞。 攻击者可以通过向目标 SharePoint 服务器发送特制数据包,导致 Web 服务器无响应,直到相关的应用程序池重新启动来利用此漏洞。

要在“常见漏洞和披露”列表中以标准条目查看此漏洞,请参阅 CVE-2010-1264

Sharepoint 帮助页拒绝服务漏洞 (CVE-2010-1264) 的缓解因素

缓解是指一种设置、通用配置或者一般的最佳实践,它以默认状态存在,能够降低利用漏洞的严重性。 以下缓解因素在您遇到的情形中可能会有所帮助:

  • 攻击者不能在目标 SharePoint 服务器上运行任意代码。 这只是一个拒绝服务漏洞。
  • 攻击者必须通过 SharePoint 站点的身份验证才能利用此漏洞。

Sharepoint 帮助页拒绝服务漏洞 (CVE-2010-1264) 的变通办法

变通办法是指一种设置或配置更改,它不能从根本上纠正漏洞,但有助于在应用更新之前封堵已知的攻击源。 Microsoft 已测试了以下变通方法,并在讨论中指明了变通方法是否会降低功能性:

  • 限制访问 SharePoint Help.aspx

    管理员可以对SharePoint Help.aspx 应用访问控制列表以防止加载 SharePoint Help.aspx。这样能有效地防止使用此攻击媒介利用漏洞。

    要限制对易受攻击的 Help.aspx 的访问,请从命令行运行以下命令:

    cacls "%ProgramFiles%\Common Files\Microsoft Shared\Web Server Extensions\12\TEMPLATE\LAYOUTS\Help.aspx" /E /P everyone:N

    cacls "%ProgramFiles(x86)%\Common Files\Microsoft Shared\Web Server Extensions\12\TEMPLATE\LAYOUTS\Help.aspx" /E /P everyone:N

    变通办法的影响。 此变通办法将禁用 SharePoint 服务器的所有帮助功能。

    如何撤消变通方法。

    从命令提示符运行以下命令:

    takeown /f "%ProgramFiles%\Common Files\Microsoft Shared\Web Server Extensions\12\TEMPLATE\LAYOUTS\Help.aspx"

    takeown /f "%ProgramFiles(x86)%\Common Files\Microsoft Shared\Web Server Extensions\12\TEMPLATE\LAYOUTS\Help.aspx"

    cacls "%ProgramFiles%\Common Files\Microsoft Shared\Web Server Extensions\12\TEMPLATE\LAYOUTS\Help.aspx" /E /R everyone

    cacls "%ProgramFiles(x86)%\Common Files\Microsoft Shared\Web Server Extensions\12\TEMPLATE\LAYOUTS\Help.aspx" /E /R everyone

Sharepoint 帮助页拒绝服务漏洞 (CVE-2010-1264) 的常见问题

此漏洞的影响范围有多大?  
Microsoft Office SharePoint Server 2007 中存在一个拒绝服务漏洞。成功利用此漏洞的攻击者可以通过向 SharePoint 服务器的帮助页发送特制请求导致拒绝服务。

造成漏洞的原因是什么?  
此漏洞是由于 Microsoft SharePoint 处理发送给帮助页的特制请求的方式造成的。

攻击者可能利用此漏洞执行什么操作?  
攻击者可以导致有限或长期拒绝服务,从而影响 SharePoint 服务器。

攻击者如何利用此漏洞?  
攻击者可以通过向SharePoint 服务器的帮助页提交特制请求,导致相关应用程序池不能正常工作并被 IIS 自动重新启动来尝试利用此漏洞。 在有限的时间段内足够次数的自动重新启动会使默认 IIS 配置停止重新启动应用程序池。 这样 Web 服务器可能没有响应,直到管理员手动重新启动应用程序池。

受此漏洞威胁最大的系统有哪些?  
其上运行 Microsoft Office SharePoint Server 2007 的服务器受到的威胁最大。

此更新有什么作用?  
此更新通过更正 Microsoft SharePoint 处理帮助页特制请求的方式来解决该漏洞。

发布此安全公告时,此漏洞是否已公开披露?  
否。 Microsoft 通过可靠的披露渠道了解到有关此漏洞的信息。

发布此安全公告时,Microsoft 是否收到任何有关此漏洞已被利用的报告?  
否。 在最初发布此安全公告时,Microsoft 未收到任何表明此漏洞已被公开用于攻击客户的信息,也没有看到任何发布的概念代码证明示例。

更新信息

管理需要部署到组织中的服务器、台式机和移动系统的软件和安全更新。 有关详细信息,请参阅 TechNet 更新管理中心Microsoft TechNet 安全网站提供了有关 Microsoft 产品安全的详细信息。

安全更新可从 Microsoft UpdateWindows Update 获得。 Microsoft 下载中心也提供了安全更新。 通过输入关键字“安全更新”可以非常方便地找到些更新。

最后,可以从 Microsoft Update 目录下载安全更新。 Microsoft Update 目录提供通过 Windows Update 和 Microsoft Update 提供的内容的可搜索目录,包括安全更新、驱动程序和 Service Pack。 通过使用安全公告编号(例如“MS07-036”)进行搜索,您可以将所有适用的更新添加到您的篮(包括某个更新的不同语言),然后将其下载到您选择的文件夹。 有关 Microsoft Update 目录的详细信息,请参阅 Microsoft Update 目录常见问题

注意 Microsoft 在 2009 年 8 月 1 日以后不再支持 Office Update 和 Office 更新清单工具。要继续获得 Microsoft Office 产品的最新更新,请使用 Microsoft Update。 有关详细信息,请参阅关于 Microsoft Office Update: 常见问题

检测和部署指南

Microsoft 提供安全更新的检测和部署指南。 该指南包含可帮助 IT 专业人员了解如何使用各种工具检测和部署安全更新的建议和信息。 有关详细信息,请参阅 Microsoft 知识库文章 961747

Microsoft Baseline Security Analyzer

管理员可使用 Microsoft Baseline Security Analyzer (MBSA),在本地和远程系统中扫描缺少的安全更新和常见的安全配置错误。 有关 MBSA 的详细信息,请访问 Microsoft Baseline Security Analyzer

下表提供此安全更新的 MBSA 检测摘要。

软件 MBSA 2.1.1
Microsoft Office InfoPath 2003 Service Pack 3
Microsoft Office InfoPath 2007 Service Pack 1 和 Microsoft Office InfoPath Service Pack 2
Microsoft Office SharePoint Server 2007 Service Pack 1 和 Microsoft Office SharePoint Server 2007 Service Pack 2(32 位版本)
Microsoft Office SharePoint Server 2007 Service Pack 1 和 Microsoft Office SharePoint Server 2007 Service Pack 2(64 位版本)
Microsoft Windows SharePoint Services 3.0 Service Pack 1 和 Microsoft Windows SharePoint Services 3.0 Service Pack 2(32 位版本)
Microsoft Windows SharePoint Services 3.0 Service Pack 1 和 Microsoft Windows SharePoint Services 3.0 Service Pack 2(64 位版本)

MBSA 的最新版本已发布: Microsoft Baseline Security Analyzer 2.1.1。有关详细信息,请参阅 Microsoft Baseline Security Analyzer 2.1

注意 对于使用 MBSA 2.1.1、Microsoft Update 和 Windows Server Update Services 不支持的旧版软件的客户: 请访问 Microsoft Baseline Security Analyzer 并参考旧版产品支持部分,了解如何使用旧版工具创建全面的安全更新检测。

Windows Server Update Services

通过使用 Windows Server Update Services (WSUS),管理员可以部署 Microsoft Windows 2000 操作系统和更高版本、Office XP 和更高版本、Exchange Server 2003 以及 SQL Server 2000 的最新关键更新和安全更新部署。有关如何使用 Windows Server Update Services 部署此安全更新的详细信息,请访问 Windows Server Update Services 网站

Systems Management Server

下表提供此安全更新的 SMS 检测和部署摘要。

软件SMS 2.0SMS 2003(带 SUIT)SMS 2003(带 ITMU)Configuration Manager 2007
Microsoft Office InfoPath 2003 Service Pack 3
Microsoft Office InfoPath 2007 Service Pack 1 和 Microsoft Office InfoPath Service Pack 2
Microsoft Office SharePoint Server 2007 Service Pack 1 和 Microsoft Office SharePoint Server 2007 Service Pack 2(32 位版本)是。 请参阅下面的 Microsoft Office SharePoint Server 2007 备注是。 请参阅下面的 Microsoft Office SharePoint Server 2007 备注
Microsoft Office SharePoint Server 2007 Service Pack 1 和 Microsoft Office SharePoint Server 2007 Service Pack 2(64 位版本)是。 请参阅下面的 Microsoft Office SharePoint Server 2007 备注是。 请参阅下面的 Microsoft Office SharePoint Server 2007 备注
Microsoft Windows SharePoint Services 3.0 Service Pack 1 和 Microsoft Windows SharePoint Services 3.0 Service Pack 2(32 位版本)
Microsoft Windows SharePoint Services 3.0 Service Pack 1 和 Microsoft Windows SharePoint Services 3.0 Service Pack 2(64 位版本)

对于 SMS 2.0 和 SMS 2003,安全更新清单工具 (SUIT) 可以由 SMS 用来检测安全更新。 请参阅 Downloads for Systems Management Server 2.0

对于 SMS 2003,SMS 可以使用 Microsoft 更新 SMS 2003 清单工具 (ITMU) 检测 Microsoft Update 提供的以及 Windows Server Update Services 支持的安全更新。 有关 SMS 2003 ITMU 的详细信息,请参阅 SMS 2003 Microsoft 更新清单工具。 有关 SMS 扫描工具的详细信息,请参阅 SMS 2003 软件更新扫描工具。 请参阅 Downloads for Systems Management Server 2003

System Center Configuration Manager 2007 使用 WSUS 3.0 来检测更新。 有关 Configuration Manager 2007 软件更新管理的详细信息,请访问 System Center Configuration Manager 2007

有关 SMS 的详细信息,请访问 SMS 网站

有关详细信息,请参阅 Microsoft 知识库文章 910723: 每月检测和部署指南文章的摘要列表。

Microsoft Office SharePoint Server 2007 备注 上述检测表基于单服务器 Microsoft Office SharePoint Server 2007 部署。 检测工具不检测到配置为多系统 SharePoint 服务器场的一部分的系统上的更新的适用性。 有关在独立和多服务器配置上部署更新的详细信息,请参阅 TechNet 文章“为 Office SharePoint Server 2007 部署软件更新”。

注意 如果您使用了管理安装点 (AIP) 来部署 Office XP 或 Office 2003,则在您更新了来自原始基准的 AIP 时,可能不能够使用 SMS 来部署此更新。 有关详细信息,请参阅本节中的 Office 管理安装点标题。

Office 管理安装点

如果从服务器位置安装了应用程序,则服务器的管理员必须利用管理更新对服务器位置进行更新,并将该更新部署到您的系统。

更新兼容性评估程序和应用程序兼容性工具箱

此更新通常写入运行应用程序所必需的相同文件和注册表设置。 这可触发不兼容并使安全更新的部署占用更多的时间。 通过使用应用程序兼容性工具包中包含的更新兼容性评估程序组件,您可以简化测试和验证对已安装程序进行的 Windows 更新。

应用程序兼容性工具包 (ACT) 包含必要的工具和文档,以便在您的环境中部署 Microsoft Windows Vista、Windows Update、Microsoft Security Update 或新版本的 Windows Internet Explorer 之前评估和缓减应用程序的兼容性问题。

受影响的软件

有关您的受影响软件的特定安全更新信息,请单击相应的链接:

InfoPath 2003(所有版本)

参考表

下表包含此软件的安全更新信息。 您可以在本节的“部署信息”小节中找到更多信息。

包括在以后的 Service Pack 中 没有为此软件计划其他 Service Pack。 此问题的更新程序将包含在以后的更新汇总中。
部署
没有用户干预的安装office2003-KB980923-FullFile-ENU /q:a
在不重新启动的情况下安装office2003-KB980923-FullFile-ENU /r:n
更新日志文件不适用
更多信息有关检测和部署,请参阅前面的部分“检测和部署工具及指导 ”。 

有关可以有选择地安装的功能,请参阅本节中的用于管理安装的 Office 功能小节。
重新启动要求
要求重新启动?在某些情况下,此更新不需要重新启动。 如果所需的文件正在使用,则此更新将需要重新启动。 如果发生这种情况,将显示一条消息建议您重新启动。

为了降低被迫重新启动的机率,请首先停止所有受影响的服务并且关闭所有可能使用受影响的文件的应用程序,然后安装安全更新。 有关可能提示您重新启动的原因的详细信息,请参阅 Microsoft 知识库文章 887012
Hotpatching不适用
删除信息 使用控制面板中的“添加或删除程序”工具。

注意 当删除此更新时,系统可能提示您在光驱中插入 Microsoft Office 2003 光盘。 另外,您可能没有从控制面板“添加/删除程序”工具中卸载更新的选项。 此问题有诸多可能的原因。 有关删除的详细信息,请参阅 Microsoft 知识库文章 903771

文件信息 请参阅 Microsoft 知识库文章 980923
注册表项验证 不适用

部署信息

安装更新

您可以安装“受影响和不受影响的软件”部分中的相应下载链接提供的更新。 如果从服务器位置安装了应用程序,则服务器的管理员必须利用管理更新对服务器位置进行更新,并将该更新部署到您的系统。 有关管理安装点的详细信息,请参阅“检测和部署工具及指导”小节中的“Office 管理安装点”信息。

此安全更新要求系统上安装有 Windows Installer 2.0 或更高版本。 所有受支持的 Windows 版本都包含 Windows Installer 2.0 或更高版本。

要安装 Windows Installer 的 2.0 或更高版本,请访问下列 Microsoft 网站之一:

有关本公告中出现的术语(如“修补程序”)的详细信息,请参阅 Microsoft 知识库文章 824684

此安全更新支持以下安装开关。

受支持的安全更新安装开关
开关描述
/q 指定安静模式,或在提取文件时禁止显示提示信息。
/q:u 指定用户安静模式,该模式向用户显示某些对话框。
/q:a 指定管理员安静模式,该模式不向用户显示任何对话框。
/t:path 指定用于提取文件的目标文件夹。
/c 提取文件,但不安装它们。 如果不指定 /t:path ,系统将提示您提供一个目标文件夹。
/c:path 覆盖作者定义的安装命令。 指定 Setup.inf 或 .exe 文件的路径和名称。
/r:n 安装后从不重新启动系统。
/r:I 如果需要重新启动系统,则提示用户重新启动,与 /q:a 一起使用时除外。
/r:a 安装后始终重新启动系统。
/r:s 安装后在不提示用户的情况下重新启动系统。
/n:v 不进行版本检查 – 在任何早期版本上安装程序。

注意 可以将这些开关组合到一个命令中。 为了保持向后兼容,此安全更新还支持以前版本的安装程序所使用的许多安装开关。 有关受支持的安装开关的详细信息,请参阅 Microsoft 知识库文章 262841

删除更新

要删除此安全更新,请使用“控制面板”中的“添加或删除程序”工具。

注意 当删除此更新时,系统可能提示您在光驱中插入 Microsoft Office 2003 光盘。 另外,您可能没有从控制面板“添加/删除程序”工具中卸载更新的选项。 此问题有诸多可能的原因。 有关删除的详细信息,请参阅 Microsoft 知识库文章 903771

验证是否已应用更新

  • Microsoft Baseline Security Analyzer

    要验证受影响的系统上是否应用了安全更新,可以使用 Microsoft Baseline Security Analyzer (MBSA) 工具。 有关详细信息,请参阅本公告前面的“检测和部署工具及指导”一节。

  • 文件版本验证

    由于 Microsoft Windows 有多个版本,因此以下步骤可能会与您的系统上的步骤不同。 如果不同,请参阅产品文档来完成这些步骤。

    1. 单击“开始”,然后在“开始搜索”中输入更新文件名。
    2. 当文件显示在“程序”之下时,右键单击文件名,然后单击“属性”。
    3. 在“常规”选项卡之下,将文件大小与公告知识库文章中提供的文件信息表进行比较。
    4. 您也可以单击“详细信息”选项卡,并将信息(如文件版本和修改日期)与公告知识库文章中提供的文件信息表进行比较。
    5. 最后,您也可以单击“以前的版本”选项卡,并将文件的以前版本的文件信息与新的或经过更新的文件版本的文件信息进行比较。

InfoPath 2007(所有版本)

参考表

下表包含此软件的安全更新信息。 您可以在本节的“部署信息”小节中找到更多信息。

包括在以后的 Service Pack 中 此问题的更新程序将包含在以后的 Service Pack 或更新汇总中
部署
没有用户干预的安装office-kb979441-fullfile-x86-glb /passive
在不重新启动的情况下安装office-kb979441-fullfile-x86-glb /norestart
更新日志文件不适用
更多信息有关检测和部署,请参阅前面的部分“检测和部署工具及指导”。
重新启动要求
要求重新启动?在某些情况下,此更新不需要重新启动。 如果所需的文件正在使用,则此更新将需要重新启动。 如果发生这种情况,将显示一条消息建议您重新启动。

为了降低被迫重新启动的机率,请首先停止所有受影响的服务并且关闭所有可能使用受影响的文件的应用程序,然后安装安全更新。 有关可能提示您重新启动的原因的详细信息,请参阅 Microsoft 知识库文章 887012
Hotpatching不适用
删除信息 使用控制面板中的“添加或删除程序”工具。
文件信息 请参阅 Microsoft 知识库文章 979441
注册表项验证 不适用

部署信息

安装更新

您可以安装“受影响和不受影响的软件”部分中的相应下载链接提供的更新。 如果从服务器位置安装了应用程序,则服务器的管理员必须利用管理更新对服务器位置进行更新,并将该更新部署到您的系统。 有关管理安装点的详细信息,请参阅“检测和部署工具及指导”小节中的“Office 管理安装点”信息。

此安全更新要求系统上安装有 Windows Installer 3.1 或更高版本。

要安装 Windows Installer 的 3.1 或更高版本,请访问下列 Microsoft 网站之一:

有关本公告中出现的术语(如“修补程序”)的详细信息,请参阅 Microsoft 知识库文章 824684

此安全更新支持以下安装开关。

受支持的安全更新安装开关
开关描述
/? 或 /help显示用法对话。
/passive 指定被动模式。 不需要用户交互;用户会看到基本进程对话,但是无法取消。
/quiet 指定安静模式,或在提取文件时禁止显示提示信息。
/norestart 如果更新要求重新启动,则禁止重新启动。
/forcerestart 应用更新之后自动重新启动系统,而不考虑更新是否要求重新启动。
/extract 提取文件,但不安装它们。 系统提示您目标文件夹。
/extract:<path> 覆盖作者定义的安装命令。 指定 Setup.inf 或 .exe 文件的路径和名称。
/lang:<LCID> 强制使用特定语言(更新程序包支持该语言时)。
/log:<log file> 更新安装期间由 Vnox 和 Installer 记录日志。

注意 可以将这些开关组合到一个命令中。 为了保持向后兼容,此安全更新还支持以前版本的安装程序所使用的许多安装开关。 有关受支持的安装开关的详细信息,请参阅 Microsoft 知识库文章 262841

删除更新

要删除此安全更新,请使用“控制面板”中的“添加或删除程序”工具。

注意 当删除此更新时,系统可能提示您在光驱中插入 2007 Microsoft Office System CD。 另外,您可能没有从控制面板“添加/删除程序”工具中卸载更新的选项。 此问题有诸多可能的原因。 有关删除的详细信息,请参阅 Microsoft 知识库文章 903771

验证是否已应用更新

  • Microsoft Baseline Security Analyzer

    要验证受影响的系统上是否应用了安全更新,可以使用 Microsoft Baseline Security Analyzer (MBSA) 工具。 有关详细信息,请参阅本公告前面的“检测和部署工具及指导”一节。

  • 文件版本验证

    由于 Microsoft Windows 有多个版本,因此以下步骤可能会与您的系统上的步骤不同。 如果不同,请参阅产品文档来完成这些步骤。

    1. 单击“开始”,然后在“开始搜索”中输入更新文件名。
    2. 当文件显示在“程序”之下时,右键单击文件名,然后单击“属性”。
    3. 在“常规”选项卡之下,将文件大小与公告知识库文章中提供的文件信息表进行比较。
    4. 您也可以单击“详细信息”选项卡,并将信息(如文件版本和修改日期)与公告知识库文章中提供的文件信息表进行比较。
    5. 最后,您也可以单击“以前的版本”选项卡,并将文件的以前版本的文件信息与新的或经过更新的文件版本的文件信息进行比较。

SharePoint Server 2007(所有版本)

参考表

下表包含此软件的安全更新信息。 您可以在本节的“部署信息”小节中找到更多信息。

包括在以后的 Service Pack 中 没有为此软件计划其他 Service Pack。 此问题的更新程序将包含在以后的更新汇总中。
部署
没有用户干预的安装对于 Microsoft Office SharePoint Server 2007 Service Pack 1 和 Microsoft Office SharePoint Server 2007 Service Pack 2(32 位版本):
office-kb979445-fullfile-x86-glb /passive
对于 Microsoft Office SharePoint Server 2007 Service Pack 1 和 Microsoft Office SharePoint Server 2007 Service Pack 2(64 位版本):
office-kb979445-fullfile-x64-glb /passive
在不重新启动的情况下安装对于 Microsoft Office SharePoint Server 2007 Service Pack 1 和 Microsoft Office SharePoint Server 2007 Service Pack 2(32 位版本):
office-kb979445-fullfile-x86-glb /norestart
对于 Microsoft Office SharePoint Server 2007 Service Pack 1 和 Microsoft Office SharePoint Server 2007 Service Pack 2(64 位版本):
office-kb979445-fullfile-x64-glb /norestart
更新日志文件不适用
更多信息有关检测和部署,请参阅前面的部分“检测和部署工具及指导”。
重新启动要求
要求重新启动?在某些情况下,此更新不需要重新启动。 如果所需的文件正在使用,则此更新将需要重新启动。 如果发生这种情况,将显示一条消息建议您重新启动。

为了降低被迫重新启动的机率,请首先停止所有受影响的服务并且关闭所有可能使用受影响的文件的应用程序,然后安装安全更新。 有关可能提示您重新启动的原因的详细信息,请参阅 Microsoft 知识库文章 887012
Hotpatching不适用
删除信息 此安全更新无法删除。
文件信息 请参阅 Microsoft 知识库文章 979445
注册表项验证 不适用

部署信息

安装更新

您可以安装“受影响和不受影响的软件”部分中的相应下载链接提供的更新。 如果从服务器位置安装了应用程序,则服务器的管理员必须利用管理更新对服务器位置进行更新,并将该更新部署到您的系统。 有关管理安装点的详细信息,请参阅“检测和部署工具及指导”小节中的“Office 管理安装点”信息。

此安全更新要求系统上安装有 Windows Installer 3.1 或更高版本。

要安装 Windows Installer 的 3.1 或更高版本,请访问下列 Microsoft 网站之一:

有关本公告中出现的术语(如“修补程序”)的详细信息,请参阅 Microsoft 知识库文章 824684

此安全更新支持以下安装开关。

受支持的安全更新安装开关
开关描述
/? 或 /help显示用法对话。
/passive 指定被动模式。 不需要用户交互;用户会看到基本进程对话,但是无法取消。
/quiet 指定安静模式,或在提取文件时禁止显示提示信息。
/norestart 如果更新要求重新启动,则禁止重新启动。
/forcerestart 应用更新之后自动重新启动系统,而不考虑更新是否要求重新启动。
/extract 提取文件,但不安装它们。 系统提示您目标文件夹。
/extract:<path> 覆盖作者定义的安装命令。 指定 Setup.inf 或 .exe 文件的路径和名称。
/lang:<LCID> 强制使用特定语言(更新程序包支持该语言时)。
/log:<log file> 更新安装期间由 Vnox 和 Installer 记录日志。

注意 可以将这些开关组合到一个命令中。 为了保持向后兼容,此安全更新还支持以前版本的安装程序所使用的许多安装开关。 有关受支持的安装开关的详细信息,请参阅 Microsoft 知识库文章 262841

删除更新

此安全更新无法删除。

验证是否已应用更新

  • Microsoft Baseline Security Analyzer

    要验证受影响的系统上是否应用了安全更新,可以使用 Microsoft Baseline Security Analyzer (MBSA) 工具。 有关详细信息,请参阅本公告前面的“检测和部署工具及指导”一节。

  • 文件版本验证

    由于 Microsoft Windows 有多个版本,因此以下步骤可能会与您的系统上的步骤不同。 如果不同,请参阅产品文档来完成这些步骤。

    1. 单击“开始”,然后在“开始搜索”中输入更新文件名。
    2. 当文件显示在“程序”之下时,右键单击文件名,然后单击“属性”。
    3. 在“常规”选项卡之下,将文件大小与公告知识库文章中提供的文件信息表进行比较。
    4. 您也可以单击“详细信息”选项卡,并将信息(如文件版本和修改日期)与公告知识库文章中提供的文件信息表进行比较。
    5. 最后,您也可以单击“以前的版本”选项卡,并将文件的以前版本的文件信息与新的或经过更新的文件版本的文件信息进行比较。

Windows SharePoint Services 3.0(所有版本)

参考表

下表包含此软件的安全更新信息。 您可以在本节的“部署信息”小节中找到更多信息。

包括在以后的 Service Pack 中 没有为此软件计划其他 Service Pack。 此问题的更新程序将包含在以后的更新汇总中。
部署
没有用户干预的安装Microsoft Windows SharePoint Services 3.0 Service Pack 1 和 Microsoft Windows SharePoint Services 3.0 Service Pack 2(32 位版本):
wss-kb983444-fullfile-x86-glb /passive
Microsoft Windows SharePoint Services 3.0 Service Pack 1 和 Microsoft Windows SharePoint Services 3.0 Service Pack 2(64 位版本):
wss-kb983444-fullfile-x64-glb /passive
在不重新启动的情况下安装Microsoft Windows SharePoint Services 3.0 Service Pack 1 和 Microsoft Windows SharePoint Services 3.0 Service Pack 2(32 位版本):
wss-kb983444-fullfile-x86-glb /norestart
Microsoft Windows SharePoint Services 3.0 Service Pack 1 和 Microsoft Windows SharePoint Services 3.0 Service Pack 2(64 位版本):
wss-kb983444-fullfile-x64-glb /norestart
更新日志文件不适用
更多信息有关检测和部署,请参阅前面的部分“检测和部署工具及指导”。
重新启动要求
要求重新启动?在某些情况下,此更新不需要重新启动。 如果所需的文件正在使用,则此更新将需要重新启动。 如果发生这种情况,将显示一条消息建议您重新启动。

为了降低被迫重新启动的机率,请首先停止所有受影响的服务并且关闭所有可能使用受影响的文件的应用程序,然后安装安全更新。 有关可能提示您重新启动的原因的详细信息,请参阅 Microsoft 知识库文章 887012
Hotpatching不适用
删除信息 此安全更新无法删除。
文件信息 请参阅 Microsoft 知识库文章 983444
注册表项验证 不适用

部署信息

安装更新

您可以安装“受影响和不受影响的软件”部分中的相应下载链接提供的更新。 如果从服务器位置安装了应用程序,则服务器的管理员必须利用管理更新对服务器位置进行更新,并将该更新部署到您的系统。 有关管理安装点的详细信息,请参阅“检测和部署工具及指导”小节中的“Office 管理安装点”信息。

此安全更新要求系统上安装有 Windows Installer 3.1 或更高版本。

要安装 Windows Installer 的 3.1 或更高版本,请访问下列 Microsoft 网站之一:

有关本公告中出现的术语(如“修补程序”)的详细信息,请参阅 Microsoft 知识库文章 824684

此安全更新支持以下安装开关。

受支持的安全更新安装开关
开关描述
/? 或 /help显示用法对话。
/passive 指定被动模式。 不需要用户交互;用户会看到基本进程对话,但是无法取消。
/quiet 指定安静模式,或在提取文件时禁止显示提示信息。
/norestart 如果更新要求重新启动,则禁止重新启动。
/forcerestart 应用更新之后自动重新启动系统,而不考虑更新是否要求重新启动。
/extract 提取文件,但不安装它们。 系统提示您目标文件夹。
/extract:<path> 覆盖作者定义的安装命令。 指定 Setup.inf 或 .exe 文件的路径和名称。
/lang:<LCID> 强制使用特定语言(更新程序包支持该语言时)。
/log:<log file> 更新安装期间由 Vnox 和 Installer 记录日志。

注意 可以将这些开关组合到一个命令中。 为了保持向后兼容,此安全更新还支持以前版本的安装程序所使用的许多安装开关。 有关受支持的安装开关的详细信息,请参阅 Microsoft 知识库文章 262841

删除更新

此安全更新无法删除。

验证是否已应用更新

  • Microsoft Baseline Security Analyzer

    要验证受影响的系统上是否应用了安全更新,可以使用 Microsoft Baseline Security Analyzer (MBSA) 工具。 有关详细信息,请参阅本公告前面的“检测和部署工具及指导”一节。

  • 文件版本验证

    由于 Microsoft Windows 有多个版本,因此以下步骤可能会与您的系统上的步骤不同。 如果不同,请参阅产品文档来完成这些步骤。

    1. 单击“开始”,然后在“开始搜索”中输入更新文件名。
    2. 当文件显示在“程序”之下时,右键单击文件名,然后单击“属性”。
    3. 在“常规”选项卡之下,将文件大小与公告知识库文章中提供的文件信息表进行比较。
    4. 您也可以单击“详细信息”选项卡,并将信息(如文件版本和修改日期)与公告知识库文章中提供的文件信息表进行比较。
    5. 最后,您也可以单击“以前的版本”选项卡,并将文件的以前版本的文件信息与新的或经过更新的文件版本的文件信息进行比较。

其他信息

鸣谢

Microsoft 感谢下列人员或组织与我们一起致力于保护客户的利益:

  • Casaba Security 的 Chris Weber 报告了 toStaticHTML 信息泄露漏洞 (CVE-2010-1257)
  • Dallas County Community College District 的 Rik Jones 报告了 Sharepoint 帮助页拒绝服务漏洞 (CVE-2010-1264)

Microsoft Active Protections Program (MAPP)

为改进客户的安全保护,Microsoft 在发布每月安全更新之前将向主要的安全软件供应商提供漏洞信息。 然后,安全软件供应商可以使用该漏洞信息通过其安全软件或者设备向客户提供更新的保护,例如防病毒、基于网络的入侵检测系统或者基于主机的入侵防止系统。 要确定是否可从安全软件供应商处得到活动保护,请访问计划合作伙伴(在 Microsoft Active Protections Program (MAPP) 合作伙伴中列出)提供的活动保护网站。

支持

  • 美国和加拿大的客户可以通过安全支持或 1-866-PCSAFETY 获得技术支持。 与安全更新有关的电话支持服务是免费的。 有关可用支持选项的详细信息,请参阅 Microsoft 帮助和支持网站。
  • 其他国家(或地区)的用户可从当地的 Microsoft 分公司获得支持。 与安全更新有关的支持服务不收取任何费用。 有关如何就支持问题与 Microsoft 取得联系方面的详细信息,请访问国际支持网站

免责声明

Microsoft 知识库中的信息“按原样”提供,没有任何形式的担保。 Microsoft 不作任何明示或暗示保证,包括对适销性和针对特定目的的适用性的保证。 Microsoft Corporation 或其供应商不对任何损害(包括直接的、间接的、偶然的、必然的损害,商业利润损失,或特殊损害)承担任何责任,即使 Microsoft Corporation 或其供应商事先已被告知有可能发生此类损害。 有些州不允许排除或限制必然或偶然损害的赔偿责任,因此上述限制可能不适用。

修订版本

  • V1.0(2010 年 6 月 8 日): 已发布公告。

Built at 2014-04-18T01:50:00Z-07:00

显示: